Skip to content

Private Marketplace Exchange (PMP-E)

Private Marketplace Direct (PMP-E)

List Deals

Request

List the Deals

Security
Bearer
Query
idsstring

_

exportstring

_

deal_typestring

Returns a list of deals that match the specified query

qstring

Returns a list of deals that match the specified query

sort_bystring

Returns a list of deals sorted by the specified parameter

Enum:"name""id""deal_identifier""supply_source_id""updated_on""created_on""start_datetime""end_datetime""price""description"
sort_dirstring

Sort direction

Enum:"ASC""DESC"
page_offsetstring

Returns a list of deals starting from the specified page offset

page_limitinteger

Returns a number of deals equal to the specified page limit

currency_codestring

Returns a list of deals with price attributes converted to such currency

statusboolean

Returns a list of deals that match the specified status

owner.typestring

Returns a list of deals that match the specified owner type

Value:"ORGANIZATION"
strategy_idinteger

Returns a list of deals that are currently targeted by the strategy with that id

owner.advertiser_idinteger

Returns a list of deals that are editable by users of the advertiser with that id

owner.agency_idinteger

Returns a list of deals that are editable by users of the agency with that id

owner.organization_idintegerrequired

Returns a list of deals that are editable by users of the organization with that id

permissions.organization_idsstring

Comma-separated list of organization IDs to filter deals by. Returns deals permissioned to at least one of the specified organizations (OR within this parameter). If combined with permissions.agency_ids or permissions.advertiser_ids, a deal must match at least one ID from each provided parameter (AND between parameters). Users may only request IDs they have access to; unauthorized IDs return 400.

permissions.agency_idsstring

Comma-separated list of agency IDs to filter deals by. Returns deals permissioned to at least one of the specified agencies (OR within this parameter). If combined with permissions.organization_ids or permissions.advertiser_ids, a deal must match at least one ID from each provided parameter (AND between parameters). Users may only request IDs they have access to; unauthorized IDs return 400.

permissions.advertiser_idsstring

Comma-separated list of advertiser IDs to filter deals by. Returns deals permissioned to at least one of the specified advertisers (OR within this parameter). If combined with permissions.organization_ids or permissions.agency_ids, a deal must match at least one ID from each provided parameter (AND between parameters). Users may only request IDs they have access to; unauthorized IDs return 400.

time_windowstring

Filter deals by time window

Value:"last_7_days"
curl -i -X GET \
  'https://api.mediamath.com/deals/v1.0/deals?ids=string&export=string&deal_type=string&q=string&sort_by=name&sort_dir=ASC&page_offset=string&page_limit=0&currency_code=string&status=true&owner.type=ORGANIZATION&strategy_id=0&owner.advertiser_id=0&owner.agency_id=0&owner.organization_id=0&permissions.organization_ids=string&permissions.agency_ids=string&permissions.advertiser_ids=string&time_window=last_7_days' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

Please note that currently bill_type does not disclose here. GET /deals/{deal ID) will however disclose that parameter, and the creation or updating of the deal will both allow bill_type to be set and display it in the response.

Bodyapplication/json
dataArray of objects
metaobject
Response
{ "data": [ { … } ], "meta": { "count": 0, "offset": 0, "status": "string", "total_count": 0 } }